Subject: Re: Unix like Tcl/Tk and extensions anyone ?
From: [email-masked]

6 May 1997 12:38:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked], Andreas Bischoff <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

     Try Robin Becker's Home Page at "http://www.jessikat.demon.co.uk/" for 
     a Win32 port of BLT2.1.
     
     Jim Kramer.

______________________________ Reply Separator _________________________________
Subject: Unix like Tcl/Tk and extensions anyone ?
Author:  Andreas Bischoff <[email-masked]> at maillink
Date:    5/6/97 5:24 AM

Hi all,
     
after some sleepless nights I decided to ask this list :-)
     
I'm trying to build Tcl7.6/Tk7.4 from the unix sources.
I know that there is a windows distribution available but AFAIK 
I can't use it: 
In addition to the core tcl/tk I also need a bunch of extensions: 
Tix, tclX, BLT, itcl/itk, et
     
There is no windows port of blt (at least I didn't find any).
So if I try to use the windows tk together with a nonwindows (X11) 
blt, they don't cooperate, of course.
     
Therefore my attempt to build everything the unix way.
     
But I'm having problems already with tcl: 
getsockoptions is missing from cygwin, also mkfifo.
I tried to get it from libwsock32.a, but didn't succeed. 
nm shows a getsockopt@20.
     
Searching through the archives I found an email that it is 
possible to mix unix sockets and winsock, but it was also 
mentioned, that it's not so easy.
     
Did anybody build tcl/tk with cugwin32 ?
BTW, I managed to build libX11.a, thanks to the patch from 
Sergei Okhapkin, thanks a lot.
Therefore I'm optimistic that if I get tcl running, the rest 
should be also possible.
     
TIA,
  Andreas
-
For help on using this list (especially unsubscribing), send a message to 
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".